/* ***************
Desc: Installation script For Mozilla Suite, Firefox prior to 0.9 and thunderbird prior to 0.7
Author: Jed Brown (jedbro@gmx.net)
****************** */
const author		= "Jrgen Binder";
const displayName	= "Browse Images";
const name		= "browseimages";
const version		= "0.1";
var contentFlag		= CONTENT | PROFILE_CHROME;
var error		= null;
var folder		= getFolder("Profile", "chrome");
var localeFlag		= LOCALE | PROFILE_CHROME;
var skinFlag		= SKIN | PROFILE_CHROME;
var jarName		= name + ".jar";
var existsInApplication	= File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile	= File.exists(getFolder(folder, jarName));
const SUCCESS_MESSAGE	= "";

initInstall(displayName, name, version);

setPackageFolder(folder);
error = addFile(author, version, 'chrome/' + jarName, folder, null);

if(error == SUCCESS) {
	folder = getFolder(folder, jarName);
	registerChrome(contentFlag, folder, "content/" + name + "/");

	error = performInstall();

	if(error == SUCCESS || error == 999) {
		alert(displayName + " " + version + " has been succesfully installed.\n" + SUCCESS_MESSAGE + "\n\nPlease restart your browser to complete installation.");
	}
	else {
		alert("Install failed. Error code:" + error);
		cancelInstall(error);
	}
}
else {
	alert("The installation of the extension failed.\n" + error + "\n Failed to create " + jarName + "!\nMake sure you have the correct permissions");
	cancelInstall(error);
}
